[Overview][Classes][Procedures and functions][Index] | Reference for unit 'JSONPropStorage' (#lcl)

# TCustomJSONPropStorage.FixPath

Converts component/property names using '.' delimiters to the '/' delimiter used for the JSON notation in the JSONConfig storage mechanism.

## Declaration

Source position: jsonpropstorage.pas line 33

`protected function TCustomJSONPropStorage.FixPath(`
`const APath: string`
`):string; virtual;`

## Arguments

`APath` |  | The path to be fixed.

## Function result

The fixed path is returned with '.' replaced by '/'.

## Description

fpjson Reference

FCL JSON